using UnityEngine;

namespace Unicorn.System
{
    public class UnicornInput : MonoBehaviour
    {
        public static UnicornInputSystem Unicorn
        {
            get
            {
                _unicorn ??= new UnicornInputSystem();
                return _unicorn;
            }
        }

        private static UnicornInputSystem _unicorn;

        private void Awake()
        {
            _unicorn ??= new UnicornInputSystem();
        }

        private void OnEnable()
        {
            Unicorn.Enable();
        }

        private void OnDisable()
        {
            Unicorn.Disable();
        }
    }
}